Package org.eclipse.mat.internal.snapshot

## Class ArgumentParser

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.ArgumentParser

    public final class ArgumentParser
    extends Object

### Constructor Summary

Constructors
`ArgumentParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HeapObjectParamArgument` `consumeHeapObjects​(ISnapshot snapshot, String line)`
`static HeapObjectParamArgument` `consumeHeapObjects​(ISnapshot snapshot, String[] args, ParsePosition pos)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgumentParser

    public ArgumentParser()

### Method Detail

#### consumeHeapObjects

    public static HeapObjectParamArgument consumeHeapObjects​(ISnapshot snapshot,
                                                             String line)
                                                      throws SnapshotException

Throws:
  `SnapshotException`

#### consumeHeapObjects

    public static HeapObjectParamArgument consumeHeapObjects​(ISnapshot snapshot,
                                                             String[] args,
                                                             ParsePosition pos)
                                                      throws SnapshotException

Throws:
  `SnapshotException`